<mvc:View
  controllerName="sapui5.start.controller.Master"
  xmlns:mvc="sap.ui.core.mvc"
  xmlns="sap.m">
  <Page title="Supplier Overview">
    <content>
      <Table
        class="sapUiResponsiveMargin"
        width="auto"
        items="{/Suppliers}">
        <headerToolbar>
          <Toolbar>
            <Label id="tableHeader"
              text="Number of Suppliers: {CountSuppliers}" />
          </Toolbar>
        </headerToolbar>
        <columns>
          <Column><header><Text text="ID" /></header></Column>
          <Column><header><Text text="Name" /></header></Column>
        </columns>
        <items>
          <ColumnListItem type="Navigation" press="onListPress">
            <cells>
              <ObjectIdentifier text="{ID}" />
              <ObjectIdentifier text="{Name}" />
            </cells>
          </ColumnListItem>
        </items>
      </Table>
    </content>
  </Page>
</mvc:View>
